Package org.apache.cxf.binding

# Class BindingConfiguration

java.lang.Object
org.apache.cxf.binding.BindingConfiguration

public abstract class BindingConfiguration extends Object
A configuration for a binding.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BindingConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String`
  `getBindingId()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BindingConfiguration

    public BindingConfiguration()

- ## Method Details

  - ### getBindingId

    public abstract String getBindingId()